Package org.eclipse.ecf.core.sharedobject

# Interface ISharedObjectContainerConfig

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`, `IIdentifiable`

All Known Implementing Classes:
  `SOContainerConfig`

public interface ISharedObjectContainerConfig extends IIdentifiable, org.eclipse.core.runtime.IAdaptable
Configuration information associated with ISharedObjectContainer.

## Method Summary

Modifier and Type
Method
Description
`Map<String,?>`
`getProperties()`
The properties associated with the owner ISharedObjectContainer

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.ecf.core.identity.IIdentifiable

`getID`

## Method Details

### getProperties

Map<String,?> getProperties()
The properties associated with the owner ISharedObjectContainer

Returns:
  Map the properties associated with owner ISharedObjectContainer